<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * This class supports Host products
 *
 * @package    Host
 * @category   Models
 * @author     Deon George
 * @copyright  (c) 2009-2013 Open Source Billing
 * @license    http://dev.osbill.net/license.html
 */
class Model_Product_Plugin_Host extends Model_Product_Plugin {
	// Our required abstract methods
	public function cost($annual=FALSE) {
		// @todo
		$x = 0;

		return $annual ? $x*12 : $x;
	}

	public function render_edit() {}

	// @todo
	public function supplier() {
		return 'internal';
	}

	// Overload functions

	// @todo This model doesnt have a database table
	public function __construct() {
	}

	// Not used
	public function render_view() {}

	// Local functions

	// @todo This is not used, but should be.
	public function order_features() {}
}
?>
